<?php if( ! defined( 'ABSPATH' ) ) exit;
function seos_magazine_customize_register_range( $wp_customize ) {
	class WP_Customize_Range_Control extends WP_Customize_Control {
		public $type = 'custom_range';
		public function enqueue () {
			wp_enqueue_script( 'seos_magazine-range-control', esc_url( get_template_directory_uri() ). "/inc/range/range.js", array('jquery'),false , true );
		}
		public function render_content() {
			?>
			<label>
				<?php if ( ! empty( $this->label )) : ?>
					<span class="customize-control-title"><?php echo esc_html($this->label); ?></span>
				<?php endif; ?>
				<div class="seos-range-value"><?php echo esc_html($this->value()); ?></div>
				<input class="customize-range" data-input-type="range" type="range" <?php $this->input_attrs(); ?> value="<?php echo esc_html($this->value()); ?>" <?php $this->link(); ?> />
				<?php if ( ! empty( $this->description )) : ?>
					<span class="description customize-control-description"><?php echo $this->description; ?></span>
				<?php endif; ?>
			</label>
			<?php
		}
	}		
}
add_action( 'customize_register', 'seos_magazine_customize_register_range', 0 );